summaryrefslogtreecommitdiffstats
path: root/academic/bowtie2/bowtie2.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'academic/bowtie2/bowtie2.SlackBuild')
-rw-r--r--academic/bowtie2/bowtie2.SlackBuild19
1 files changed, 5 insertions, 14 deletions
diff --git a/academic/bowtie2/bowtie2.SlackBuild b/academic/bowtie2/bowtie2.SlackBuild
index 585d914dd5..37f440626e 100644
--- a/academic/bowtie2/bowtie2.SlackBuild
+++ b/academic/bowtie2/bowtie2.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for bowtie2
# Copyright 2013-2016 Petar Petrov slackalaxy@gmail.com
-# Copyright 2018-2020 Rob van Nues sborg63@disroot.org
+# Copyright 2018-2024 Rob van Nues sborg63@disroot.org
#
# All rights reserved.
#
@@ -27,7 +27,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=bowtie2
-VERSION=${VERSION:-2.4.2}
+VERSION=${VERSION:-2.5.3}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -40,9 +40,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -52,18 +49,12 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i586" ]; then
- SLKCFLAGS="-O2 -march=i586 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
+if [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
else
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
+ printf "\n$ARCH is unsupported by $PRGNAM\n"
+ exit 1
fi
set -e